import { CommandBase } from './CommandBase';
import type { MetaBoxCommandPacket } from '@3dsource/types-unreal';
/**
 * @internal
 * @hidden
 * Represents a command to send Unreal command.
 */
export declare class UnrealCommand extends CommandBase {
    constructor(payload: MetaBoxCommandPacket);
}
/**
 * @deprecated, use `UnrealCommand` instead.
 */
export declare const SendCommandToUnreal: typeof UnrealCommand;
