import type { Communicator } from './Communicator';
import type { FromMetaBoxApiEvents, FromMetaboxMessagePayloads } from '../interfaces/FromMetaboxMessagePayloads';
import type { Observable } from 'rxjs';
/**
 * Wrapper helper function to use it with rxJs same as `fromEvent` to listen to events from the Communicator.
 * @param target
 * @param eventName
 */
export declare function fromCommunicatorEvent<T extends FromMetaBoxApiEvents>(target: Communicator, eventName: T): Observable<FromMetaboxMessagePayloads[T]>;
