/**
 * Saves an image by triggering a download.
 *
 * @remarks
 * This function creates an anchor element, sets its `href` attribute to the provided image URL,
 * and triggers a click event to initiate a download with the specified filename.
 *
 * @param imageUrl - The URL of the image to save.
 * @param filename - The name of the file to save.
 */
export declare function saveImage(imageUrl: string, filename: string): void;
