/**
 * Pauses execution for a specified duration.
 *
 * @remarks
 * This function returns a promise that resolves after the given number of milliseconds.
 *
 * @param time - The time to sleep in milliseconds.
 * @returns A promise that resolves after the specified duration.
 */
export declare function sleep(time: number): Promise<void>;
